javax.el

## Class EvaluationListener

- java.lang.Object
- - javax.el.EvaluationListener

-     public abstract class EvaluationListener
      extends Object

  The listener interface for receiving notification when an EL expression is evaluated.
  Since:
    EL 3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EvaluationListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterEvaluation(ELContext context, String expression)` Receives notification after an EL expression is evaluated
    `void` | `beforeEvaluation(ELContext context, String expression)` Receives notification before an EL expression is evaluated
    `void` | `propertyResolved(ELContext context, Object base, Object property)` Receives notification when the (base, property) pair is resolved

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EvaluationListener

          public EvaluationListener()

  - ### Method Detail

    - #### beforeEvaluation

          public void beforeEvaluation(ELContext context,
                              String expression)

      Receives notification before an EL expression is evaluated
      Parameters:
        `context` - The ELContext
        `expression` - The EL expression string to be evaluated

    - #### afterEvaluation

          public void afterEvaluation(ELContext context,
                             String expression)

      Receives notification after an EL expression is evaluated
      Parameters:
        `context` - The ELContext
        `expression` - The EL expression string to be evaluated

    - #### propertyResolved

          public void propertyResolved(ELContext context,
                              Object base,
                              Object property)

      Receives notification when the (base, property) pair is resolved
      Parameters:
        `context` - The ELContext
        `base` - The base object
        `property` - The property object

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.